Skip to navigation

List Payment Methods

Deprecated

Gets the list of enabled payment methods. Default sorting is by payment method, alphabetically from A to Z.

Note

Avoid using this API operation if possible. It is not supported; therefore, all enabled providers may not appear.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional
Request a specific page of results. The value of the limit query parameter determines the number of responses per page.
limitintegerOptional
Set the number of responses per page.

Response

OK
codestringOptional

Unique platform-wide code identifying the payment method.

namestringOptional
Descriptive name of the payment method.
test_modebooleanOptional
Determines whether the payment gateway is in test mode. Always false for offline payment methods.